Qyra
ReferenceSCIM

Get role

Get a SCIM role by ID

GET/api/v1/scim/v2/Roles/{roleId}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
roleIdstringYesRole ID - this is used as a unique identifier for SCIM

Responses

200 — Ok

{
  "schemas": [
    "urn:ietf:params:scim:schemas:extension:2.0:Role"
  ],
  "id": "string",
  "meta": {
    "version": "string",
    "location": "string",
    "lastModified": "2024-01-01T00:00:00.000Z",
    "created": "2024-01-01T00:00:00.000Z",
    "resourceType": "Role"
  },
  "value": "string",
  "display": "string",
  "type": "string",
  "supported": true
}

404 — Not found

{
  "status": "string",
  "detail": "string",
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "scimType": "invalidFilter"
}